Bug 198573 - [PATCH] www/h2o: Update to 1.1.1
Summary: [PATCH] www/h2o: Update to 1.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-03-14 05:37 UTC by Danny
Modified: 2015-05-19 06:11 UTC (History)
2 users (show)

See Also:
dch: maintainer-feedback+


Attachments
h2o 1.1.1 (1.76 KB, patch)
2015-03-14 05:37 UTC, Danny
no flags Details | Diff
h2o 1.2.0 (2.26 KB, patch)
2015-04-15 10:02 UTC, Danny
koobs: maintainer-approval? (dch)
Details | Diff
updated patch from dch@ lacking SSL OPTION (2.28 KB, patch)
2015-05-04 12:24 UTC, Dave Cottlehuber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danny 2015-03-14 05:37:48 UTC
Created attachment 154289 [details]
h2o 1.1.1

Update h2o to latest version.
Comment 1 Dave Cottlehuber freebsd_committer 2015-03-23 07:56:26 UTC
Lgtm in general. I'm on vacation til mid April so can't respond further. Not clear why the additional changes other than bumping commit/tags are required but please go ahead in my absence.
Comment 2 Danny 2015-03-27 00:36:18 UTC
(In reply to Dave Cottlehuber from comment #1)

H2O builds fine with multiple jobs so MAKE_JOBS_UNSAFE can be removed.
Changing do-install to post-install automatically installs files into STAGEDIR for us.
H2O reads config and SSL certificates before setuid() so we don't need to change the user/group of /usr/local/etc/h2o to H2O_USER.
Comment 3 Danny 2015-04-15 10:02:28 UTC
Created attachment 155619 [details]
h2o 1.2.0

Update h2o to 1.2.0.
https://github.com/h2o/h2o/releases/tag/v1.2.0

Remove dependency on libyaml. (bundled in h2o)
Add option to use bundled libressl.
Comment 4 Dave Cottlehuber freebsd_committer 2015-04-22 20:24:26 UTC
Thanks Colin for the explanation. LGTM on 10.1 amd64, I will read up on how to get this committed ASAP now that I'm back from holidays.

BTW feel free to co-maintain this port if you wish to!
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-23 09:44:19 UTC
Have discussed some improvements to be made with the maintainer (Dave).

Pending an updated patch + QA results
Comment 6 Dave Cottlehuber freebsd_committer 2015-05-04 12:12:41 UTC
current port status incl update from IRC discussion w koobs@.

1. GH_* changes
- deprecated GH_COMMIT
- GH_ACCOUNT can default to name
- fix distfile as a result of this

2. lint & build status
- add portlint / poudriere status as part of submission

3. SSL
- should use PORTS SSL, not BASE. My bad!

4. SSL
- BUNDLED_LIBRESSL is not ideal, it should instead link to security/libressl or security/openssl (which is at 1.0.2a already so should be compatible)
- use OPTIONS to switch between SSL alternatives

5. libYAML
- should we use textproc/libyaml instead of bundled version? AFAICT there are no custom libyaml patches

dch@ - I'll handle 1,2,3, and submit a new patch with just those changes.
colin@ are you able to take care of 4?

wrt 5, feedback requested on what makes sense.
Comment 7 Dave Cottlehuber freebsd_committer 2015-05-04 12:24:53 UTC
Created attachment 156335 [details]
updated patch from dch@ lacking SSL OPTION
Comment 8 Dave Cottlehuber freebsd_committer 2015-05-04 12:57:17 UTC
Comment on attachment 156335 [details]
updated patch from dch@ lacking SSL OPTION

# portlint

WARN: Makefile: possible use of absolute pathname "/var/log/${PORTNAME}...".
WARN: Makefile: possible use of absolute pathname "/var/run/${PORTNAME}...".
0 fatal errors and 2 warnings found.

# poudriere

http://pkg.skunkwerks.at/poudriere/data/10_1_amd64-default/2015-05-04_12h40m11s/logs/h2o-1.2.0.log
Comment 9 Dave Cottlehuber freebsd_committer 2015-05-04 13:38:56 UTC
(In reply to Dave Cottlehuber from comment #8)

LGTM on 9.3 also, http://pkg.skunkwerks.at/poudriere/data/9_3_amd64-default/2015-05-04_13h13m27s/logs/h2o-1.2.0.log
Comment 10 Dave Cottlehuber freebsd_committer 2015-05-15 07:57:59 UTC
wrt #5 let's stick with ports libyaml as upstream confirms there are no specific patches on top of the imported bundle. ports is currently at 0.1.6 and bundled is 0.1.5.
Comment 11 Dave Cottlehuber freebsd_committer 2015-05-15 07:59:10 UTC
status: waiting til 2015/05/18 for respoonse from "Colin" wrt SSL patch, or go ahead without that specific change.
Comment 12 Danny 2015-05-17 07:02:42 UTC
(In reply to Dave Cottlehuber from comment #11)

If anyone wants to use the libressl from ports, they can just add:
WITH_OPENSSL_PORT=yes
OPENSSL_PORT=security/libressl
to their make.conf.
Comment 13 commit-hook freebsd_committer 2015-05-19 06:10:38 UTC
A commit references this bug:

Author: wen
Date: Tue May 19 06:10:30 UTC 2015
New revision: 386743
URL: https://svnweb.freebsd.org/changeset/ports/386743

Log:
  - Update to 1.2.0

  PR:		198573
  Submitted by:	anonymous.bug.report@gmail.com
  Approved by:	dch@skunkwerks.at(maintainer)

Changes:
  head/www/h2o/Makefile
  head/www/h2o/distinfo
  head/www/h2o/pkg-plist